## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanExtensionsInstaller Class Reference

`#include <XalanExtensions.hpp>`

Inheritance diagram for XalanExtensionsInstaller:

[legend]
List of all members.

## Static Public Methods

- void installLocal (XPathEnvSupportDefault &theSupport)
- void installGlobal ()
- void uninstallLocal (XPathEnvSupportDefault &theSupport)
- void uninstallGlobal ()

## Static Protected Methods

- void doInstallLocal (const XalanDOMChar *theNamespace, const FunctionTableEntry theFunctionTable[], XPathEnvSupportDefault &theSupport)
- void doInstallGlobal (const XalanDOMChar *theNamespace, const FunctionTableEntry theFunctionTable[])
- void doUninstallLocal (const XalanDOMChar *theNamespace, const FunctionTableEntry theFunctionTable[], XPathEnvSupportDefault &theSupport)
- void doUninstallGlobal (const XalanDOMChar *theNamespace, const FunctionTableEntry theFunctionTable[])

## Member Function Documentation

void XalanExtensionsInstaller::doInstallGlobal ( | const XalanDOMChar * theNamespace,
| const FunctionTableEntry theFunctionTable[] )`[static, protected]`

void XalanExtensionsInstaller::doInstallLocal ( | const XalanDOMChar * theNamespace,
| const FunctionTableEntry theFunctionTable[],
| XPathEnvSupportDefault & theSupport )`[static, protected]`

void XalanExtensionsInstaller::doUninstallGlobal ( | const XalanDOMChar * theNamespace,
| const FunctionTableEntry theFunctionTable[] )`[static, protected]`

void XalanExtensionsInstaller::doUninstallLocal ( | const XalanDOMChar * theNamespace,
| const FunctionTableEntry theFunctionTable[],
| XPathEnvSupportDefault & theSupport )`[static, protected]`

void XalanExtensionsInstaller::installGlobal ( | )`[static]`

| Reimplemented in XalanEXSLTCommonFunctionsInstaller, XalanEXSLTMathFunctionsInstaller, XalanEXSLTSetFunctionsInstaller, and XalanEXSLTStringFunctionsInstaller.

void XalanExtensionsInstaller::installLocal ( | XPathEnvSupportDefault & theSupport )`[static]`

| Reimplemented in XalanEXSLTCommonFunctionsInstaller, XalanEXSLTMathFunctionsInstaller, XalanEXSLTSetFunctionsInstaller, and XalanEXSLTStringFunctionsInstaller.

void XalanExtensionsInstaller::uninstallGlobal ( | )`[static]`

| Reimplemented in XalanEXSLTCommonFunctionsInstaller, XalanEXSLTMathFunctionsInstaller, XalanEXSLTSetFunctionsInstaller, and XalanEXSLTStringFunctionsInstaller.

void XalanExtensionsInstaller::uninstallLocal ( | XPathEnvSupportDefault & theSupport )`[static]`

| Reimplemented in XalanEXSLTCommonFunctionsInstaller, XalanEXSLTMathFunctionsInstaller, XalanEXSLTSetFunctionsInstaller, and XalanEXSLTStringFunctionsInstaller.

The documentation for this class was generated from the following file:

- XalanExtensions.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.